Subject: Re: [SWIPL] prolog syntax

From: "Richard A. O'Keefe" <[email-masked]>
Date: Tue, 28 Aug 2001 12:17:55 +1200 (NZST)

"Kobi" <[email-masked]> wrote:
	I was reading your manual and I wondered if you
	have or know where can I download from the syntax
	of the functions that are already in prolog.
	...

(a) When you download SWI Prolog you get the full source code.
    last/2 is in boot/list.pl

  (2) 	I want to see how do you write each function in prolog.
	...

(b) The best thing to do would be to get a good book about Prolog.
    Clocksin & Mellish is pretty good to start with; Sterling & Shapiro 
    is excellent to continue with.

Writing Prolog list-processing predicates is pretty obvious if you know
how to write list-processing functions in Lisp, so "The Simple Schemer"
might be a good start too.